Bug 107560 - raid traceback: TypeError: an integer is required
raid traceback: TypeError: an integer is required
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: anaconda (Show other bugs)
beta2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-20 12:51 EDT by Mike McLean
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-22 17:01:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McLean 2003-10-20 12:51:45 EDT
* Cambridge-re1020.nightly

Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 1047, in handleRenderCallback
    self.currentWindow.renderCallback()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 242, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 766, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 168, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 236, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 542, in turnOnFilesystems
    thefsset.makeFilesystems (instPath)
  File "/usr/lib/anaconda/fsset.py", line 1310, in makeFilesystems
    self.formatEntry(entry, chroot)
  File "/usr/lib/anaconda/fsset.py", line 1238, in formatEntry
    entry.fsystem.formatDevice(entry, self.progressWindow, chroot)
  File "/usr/lib/anaconda/fsset.py", line 585, in formatDevice
    extFileSystem.formatDevice(self, entry, progress, chroot)
  File "/usr/lib/anaconda/fsset.py", line 496, in formatDevice
    devicePath = entry.device.setupDevice(chroot)
  File "/usr/lib/anaconda/fsset.py", line 1744, in setupDevice
    f.write(self.raidTab(devPrefix=devPrefix))
  File "/usr/lib/anaconda/fsset.py", line 1720, in raidTab
    entry = entry + "chunk-size		    %d\n" %(self.chunksize,)
TypeError: an integer is required
Comment 3 Jeremy Katz 2003-10-20 14:13:30 EDT
Committed something that should fix this and put an updates.img in
/mnt/test/latest-i386
Comment 4 Mike McLean 2003-10-22 17:01:13 EDT
confirmed fix with Cambridge-re1020.nightly + updates.img

Note You need to log in before you can comment on or make changes to this bug.